/*
bot's main configuration and middleware setup.
*/

import { Bot } from "grammy";
import { BotContext } from "./mod.ts";
import { BOT_TOKEN } from "./config/mod.ts";
import { setupCallbackQueries } from "./callback_queries/mod.ts";
import { setupCommands } from "./commands/mod.ts";
import { setupConversations } from "./conversations/mod.ts";
import { setupSession } from "./session/mod.ts";
import { setupMessages } from "./messages/mod.ts";
import { setupErrorHandling } from "./error_handling/mod.ts";


export const initBot = () => {
  const bot = new Bot<BotContext>(BOT_TOKEN)

  setupErrorHandling(bot);
  setupSession(bot);
  setupConversations(bot);
  setupCommands(bot);
  setupCallbackQueries(bot);
  setupMessages(bot);
  bot.start();
}
