import { Bot } from "grammy";
import { BotContext } from "../mod.ts";
import { CallbackQueryEnum, voteCallback } from "./mod.ts";
import { parseCallbackQueryData } from "./utils.ts";



export const setupCallbackQueries = (bot: Bot<BotContext>) => {
  bot.on("callback_query:data", async (ctx) => {
    const callbackQueryData = parseCallbackQueryData(ctx.callbackQuery.data);

    switch (callbackQueryData.cq) {
      case CallbackQueryEnum.APPROVE:
      case CallbackQueryEnum.REJECT:
        await voteCallback(ctx, bot, callbackQueryData);
        break;
      case CallbackQueryEnum.NOOP:
        break;
      default:
        throw new Error("Invalid callback query data");
    }
    await ctx.answerCallbackQuery();
  });

  console.log("Callback Queries setup complete");
};


