import { BotContext } from "../mod.ts";
import { Conversation } from "grammy_conversations";
import { GROUP_ID } from "../config/mod.ts";
import { getPostApprovalKeyboard } from "../keyboards/mod.ts";

// Handler for the post conversation
export const post = async (
  conversation: Conversation<BotContext>,
  ctx: BotContext,
) => {
  await ctx.reply("Please send the content you'd like to post.");

  const postContext = await conversation.waitFor("message");
  await postContext.copyMessage(GROUP_ID, {
    reply_markup: getPostApprovalKeyboard(ctx.session.sessionId),
  });
  const { message_id } = postContext.message;
  await postContext.reply("Post sent for approval", {
    reply_parameters: {
      message_id: message_id,
    }
  });
};
