import { Bot } from "grammy";
import { BotContext } from "../mod.ts";
import { GROUP_ID } from "../config/mod.ts";

export const setupErrorHandling = (bot: Bot<BotContext>) => {
  bot.catch(async (err) => {
    try {
      await bot.api.sendMessage(GROUP_ID, `🚨⚠️ ERROR ⚠️🚨
      \`\`\`Log
      Error: ${err.error}
      Cause: ${err.cause}
      Message: ${err.message}
      Name: ${err.name}
      Stack: ${err.stack}\`\`\``, {
        parse_mode: "MarkdownV2",
      });
    } catch (error) {
      console.error("Failed to send error message to the group:", error);
    }
  });

};
