import { CallbackQueryEnum } from "../callback_queries/mod.ts";
import { getCallbackQueryData } from "./mod.ts";
import { InlineKeyboard } from "grammy";

const getVoteButtonCallbackData = (sid: number, isApproved: boolean) =>
  getCallbackQueryData({
    cq: isApproved ? CallbackQueryEnum.APPROVE : CallbackQueryEnum.REJECT,
    sid,
  });

export const getPostApprovalKeyboard = (
  sid: number,
) => new InlineKeyboard()
  .text("🟢", getVoteButtonCallbackData(sid, true))
  .text("🔴", getVoteButtonCallbackData(sid, false))

export const getPostOutcomeKeyboard = (
  isApproved: boolean,
) => new InlineKeyboard()
  .text(isApproved ? "✅ Approved" : "❌ Rejected",
    getCallbackQueryData({ cq: CallbackQueryEnum.NOOP }));